Link a source
curl --request POST \
--url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"source": {
"tap": "<string>",
"config": {},
"symlink": {
"entity": "<string>",
"id": "<string>",
"tenant": "<string>"
}
},
"schedule": {
"schedule_expression": "<string>"
},
"field_map": {}
}
'import requests
url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources"
payload = {
"source": {
"tap": "<string>",
"config": {},
"symlink": {
"entity": "<string>",
"id": "<string>",
"tenant": "<string>"
}
},
"schedule": { "schedule_expression": "<string>" },
"field_map": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: {
tap: '<string>',
config: {},
symlink: {entity: '<string>', id: '<string>', tenant: '<string>'}
},
schedule: {schedule_expression: '<string>'},
field_map: {}
})
};
fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}Linked sources
Link a source
Create a new connection for a tenant by passing a config object, along with an optional schedule or field_map
POST
/
{env_id}
/
{flow_id}
/
{tenant}
/
linkedSources
Link a source
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Body
application/json
Response
200
The response is of type object.
⌘I